@charset "utf-8";
/* Nav
-----------------------------------------*/



/* ～767px(xs) ____________________________________________________ */
@media screen and (max-width: 767px) {
  
  
/* ハンバーガーボタンのデザイン */
.drawer__button {
  position: fixed;
  width: 50px;
  height: 50px;
  top: 0;
  right: 0;
  background-color: #000;
  border: none;
  cursor: pointer;
  z-index: 999; /* メニューを開いている時もクリックできるよう設定 */
}
/* ハンバーガーボタン内の線 */
.drawer__button > span {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 25px;
  height: 4px;
  border-radius: 2px;
  background-color: #fff;
  transform: translateX(-50%);
}
.drawer__button > span:first-child {
  transform: translate(-50%, calc(-50% - 8px));
  transition: transform 0.3s ease;
}
.drawer__button > span:nth-child(2) {
  transform: translate(-50%, -50%);
  transition: opacity 0.3s ease;
}
.drawer__button > span:last-child {
  transform: translate(-50%, calc(-50% + 8px));
  transition: transform 0.3s ease;
}


/* 展開時のデザイン */
.drawer__button.active > span:first-child {
  transform: translate(-50%, -50%) rotate(-45deg);
}
.drawer__button.active > span:nth-child(2) {
  opacity: 0;
}
.drawer__button.active > span:last-child {
  transform: translate(-50%, -50%) rotate(45deg);
}


/* メニューのデザイン */
.drawer__nav {
  position: fixed; /* 追従ヘッダーなどでも表示できるよう設定しておく */
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  transition: opacity 0.3s ease;
  opacity: 0;
  visibility: hidden;
  z-index: 9;
}
.drawer__nav__inner {
  position: relative;
  width: 80%;
  height: 100%;
  background-color: white;
  padding: 4rem 1.5rem 1rem;
  margin: 0 0 0 auto;
  /*overflow: scroll;*/
  transform: translateX(100%);
  transition: transform 0.3s ease;
}
.drawer__nav__menu {
  list-style: none;
  padding-left: 0;
}
.drawer__nav__link {
  display: block;
  color: black;
  text-decoration: none;
  padding: 1rem 1rem;
  border-bottom: solid 1px lightgray;
}


/* 展開時のデザイン */
.drawer__nav.active {
  opacity: 1;
  visibility: visible;
}
.drawer__nav.active .drawer__nav__inner {
  transform: translateX(0);
}

    
  
  
  }
  /*----------------------------------------------
     480px以下
    ---------------------------------------------*/
  @media screen and (max-width: 480px) {
  
  
  }
  